## com.vividsolutions.jts.noding
Class SegmentStringUtil

    java.lang.Object
      com.vividsolutions.jts.noding.SegmentStringUtil

public class SegmentStringUtil
extends java.lang.Object

Utility methods for processing `SegmentString`s.

Author:
  Martin Davis

Constructor Summary
`SegmentStringUtil()`

Method Summary
`static java.util.List` `extractSegmentStrings(Geometry geom)` Extracts all linear components from a given `Geometry` to `SegmentString`s.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SegmentStringUtil

    public SegmentStringUtil()

Method Detail

### extractSegmentStrings

    public static java.util.List extractSegmentStrings(Geometry geom)

  Extracts all linear components from a given `Geometry` to `SegmentString`s. The SegmentString data item is set to be the source Geometry.

  Parameters:
    `geom` - the geometry to extract from
  Returns:
    a List of SegmentStrings